2015年10月9日 星期五

Server2012 安裝 IIS8 碰到 HTTP 500.19 錯誤訊息

開始使用Server2012R2上面的IIS 8,結果就碰到一個問題500.19的問題

以為是權限問題,搞了半天,錯誤訊息又變成設定檔錯誤


爬文發現是ASP.NET的模組沒裝好,最簡單的方法就是aspnet_regiis -i重新安裝就好
但在Server2012 R2上面已經不再支援這個命令了...

只好打開新增角色和精靈來研究一下IIS的功能模組

選擇角色型或功能型安裝

選擇伺服器

勾選網頁伺服器(IIS)和應用程式伺服器

勾選ASP.NET45功能模組

網頁伺服器(IIS)的角色服務中,勾選ASP.NET4.5

應用程式伺服器的角色服務中,勾選網頁伺服器(IIS)支援

準備安裝

打完收工